#
# spec file for package sblim-cmpi-params (Version 1.2.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cim-schema coreutils cpio cpp cracklib curl cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libidn libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel openwbem openwbem-devel pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sblim-cmpi-base sblim-cmpi-base-devel sblim-indication_helper sblim-indication_helper-devel sblim-testsuite sblim-wbemcli sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sblim-cmpi-params
BuildRequires:  gcc-c++ openslp-devel openssl-devel pam-devel sblim-cmpi-base-devel sblim-indication_helper-devel sblim-testsuite
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        SBLIM Linux Kernel Parameter Instrumentation for CMPI
Version:        1.2.4
Release:        10.11
Group:          System/Management
License:        IBM Public License
Requires:       sblim-cmpi-base >= 1.2.3, cim-server
Source0:        http://prdownloads.sourceforge.net/sblim/sblim-cmpi-params-%{version}.tar.bz2
Patch:          sblim-cmpi-params-1.2.4.tmpfilenull.patch
Patch1:         sblim-cmpi-params-1.2.4_file_handle.patch
PreReq:         /usr/bin/loadmof.sh, /usr/bin/rmmof.sh

%description
The various kernel parameter providers in this package expose the Linux
kernel parameters that are accessible under subdirs of /proc/sys/. Each
subdir contains kernel parameters for the respective kernel function,
and is implemented as a separate CIM_Setting subclass. Each provider
acts as instrumentation for that particular kernel parameter subclass.

The respective kernel parameter providers allow an administrator to
view and possibly modify the many different kernel parameters of a
Linux system via the CIMOM. All kernel parameters settings can be
viewed, however only those parameters whose associated file is
writeable can be modified.



Authors:
--------
    SBLIM Project

%debug_package
%prep
%setup -n %{name}-%{version}
%patch
%patch1

%build
%configure
%{__make}

%install
%makeinstall docdir=%{_docdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
# compile MOF
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_ABIParameter.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_KernelParameter.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_FileSystemParameter.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NetworkCoreParameter.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NetworkIPv4Parameter.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NetworkUnixParameter.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_VirtualMemoryParameter.mof

%preun
if [ "$1" = 0 ]; then
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_VirtualMemoryParameter.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NetworkUnixParameter.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NetworkIPv4Parameter.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NetworkCoreParameter.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_FileSystemParameter.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_KernelParameter.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_ABIParameter.mof
fi

%files
%defattr(-,root,root)
# skip-check-libtool-deps
%{_libdir}/cmpi/libLinux_ABIParameter.a
%{_libdir}/cmpi/libLinux_ABIParameter.la
%{_libdir}/cmpi/libLinux_ABIParameter.so
%{_libdir}/cmpi/libLinux_FileSystemParameter.a
%{_libdir}/cmpi/libLinux_FileSystemParameter.la
%{_libdir}/cmpi/libLinux_FileSystemParameter.so
%{_libdir}/cmpi/libLinux_KernelParameter.a
%{_libdir}/cmpi/libLinux_KernelParameter.la
%{_libdir}/cmpi/libLinux_KernelParameter.so
%{_libdir}/cmpi/libLinux_NetworkCoreParameter.a
%{_libdir}/cmpi/libLinux_NetworkCoreParameter.la
%{_libdir}/cmpi/libLinux_NetworkCoreParameter.so
%{_libdir}/cmpi/libLinux_NetworkIPv4Parameter.a
%{_libdir}/cmpi/libLinux_NetworkIPv4Parameter.la
%{_libdir}/cmpi/libLinux_NetworkIPv4Parameter.so
%{_libdir}/cmpi/libLinux_NetworkUnixParameter.a
%{_libdir}/cmpi/libLinux_NetworkUnixParameter.la
%{_libdir}/cmpi/libLinux_NetworkUnixParameter.so
%{_libdir}/cmpi/libLinux_VirtualMemoryParameter.a
%{_libdir}/cmpi/libLinux_VirtualMemoryParameter.la
%{_libdir}/cmpi/libLinux_VirtualMemoryParameter.so
%{_datadir}/sblim-testsuite/*
%{_datadir}/%{name}
%doc %{_docdir}/%{name}

%changelog
* Wed Feb 14 2007 - mrueckert@suse.de
- added sblim-cmpi-params-1.2.4_file_handle.patch (#242445)
  Do not fail in the testsuite, if a file has no read access.
* Mon Jan 22 2007 - mrueckert@suse.de
- added sblim-cmpi-params-1.2.4.tmpfilenull.patch (#192297):
  properly handled cases where the tmpfile is NULL
* Wed Mar 01 2006 - mrueckert@suse.de
- update to 1.2.4 [#144214]
- dropped all patches as the build system has changed
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 - ro@suse.de
- fix filelist
* Tue Dec 13 2005 - mrueckert@suse.de
- Update to 1.2.3
- build with openwbem
- build with optflags
- update to new loadmof/rmmof syntax
* Thu Nov 11 2004 - ro@suse.de
- fixed file list
* Wed May 12 2004 - nashif@suse.de
- Do not De-register when updating package
* Mon May 10 2004 - nashif@suse.de
- Dereigster providers when uninstalling (#39667)
- test scripts incorrectly check file read/write permission (#40262)
* Fri Apr 30 2004 - nashif@suse.de
- Update to version 1.2.1
* Wed Apr 14 2004 - nashif@suse.de
- Added PreReq for loadmof.sh
* Wed Apr 07 2004 - nashif@suse.de
- Initial Release
